libpng12-1.2.50-10.el7.i686.rpm


Advertisement

Description

libpng12 - Old version of libpng, needed to run old binaries

Property Value
Distribution CentOS 7
Repository CentOS x86_64
Package name libpng12
Package version 1.2.50
Package release 10.el7
Package architecture i686
Package type rpm
Installed size 620.90 KB
Download size 174.09 KB
Official Mirror mirror.centos.org
The libpng12 package provides libpng 1.2, an older version of the libpng
library for manipulating PNG (Portable Network Graphics) image format files.
This version should be used only if you are unable to use the current
version of libpng.

Alternatives

Package Version Architecture Repository
libpng12-1.2.50-10.el7.x86_64.rpm 1.2.50 x86_64 CentOS
libpng12 - - -

Requires

Name Value
/sbin/ldconfig -
libc.so.6(GLIBC_2.11) -
libm.so.6 -
libm.so.6(GLIBC_2.0) -
libz.so.1 -
rtld(GNU_HASH) -

Provides

Name Value
libpng.so.3 -
libpng12 = 1.2.50-10.el7
libpng12(x86-32) = 1.2.50-10.el7
libpng12.so.0 -
libpng12.so.0(PNG12_0) -

Obsoletes

Name Value
libpng-compat <= 1.5.10

Download

Type URL
Binary Package libpng12-1.2.50-10.el7.i686.rpm
Source Package libpng12-1.2.50-10.el7.src.rpm

Install Howto

Install the libpng12 rpm package:

# yum install libpng12

Files

Path
/usr/lib/libpng.so.3
/usr/lib/libpng.so.3.50.0
/usr/lib/libpng12.so.0
/usr/lib/libpng12.so.0.50.0
/usr/share/doc/libpng12-1.2.50/CHANGES
/usr/share/doc/libpng12-1.2.50/LICENSE
/usr/share/doc/libpng12-1.2.50/README
/usr/share/doc/libpng12-1.2.50/TODO
/usr/share/doc/libpng12-1.2.50/libpng-1.2.50.txt
/usr/share/man/man5/png12.5.gz

Changelog

2016-06-30 - Nikola Forró <nforro@redhat.com> - 1.2.50-10
- Revert removal of libpng compat library
- Related: #1282628
2016-06-29 - Nikola Forró <nforro@redhat.com> - 1.2.50-9
- Don't drop man pages, but rename them to avoid conflict
- Resolves: #1285680
2016-02-11 - Petr Hracek <phracek@redhat.com> - 1.2.50-8
- libpng12-devel conflicts with libpng-devel
- Resolves: #1282628
2015-11-23 - Petr Hracek <phracek@redhat.com> - 1.2.50-7
- Security fix for CVE-2015-7981 and CVE-2015-8126
- Resolves: #1283577
2014-01-29 - Petr Hracek <phracek@redhat.com> - 1.2.50-6
- Adding patch CVE-2013-6954
- Resolves: #1056864
2014-01-24 - Daniel Mach <dmach@redhat.com> - 1.2.50-5
- Mass rebuild 2014-01-24
2013-12-27 - Daniel Mach <dmach@redhat.com> - 1.2.50-4
- Mass rebuild 2013-12-27
2013-02-14 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.50-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
2012-08-22 - Tom Lane <tgl@redhat.com> 1.2.50-2
- Remove unnecessary use of epoch
Related: #850628
2012-08-03 - Tom Lane <tgl@redhat.com> 1.2.50-1
- Update to 1.2.50 (just on general principles)
- Add Obsoletes: libpng-compat

See Also

Package Description
libpng12-devel-1.2.50-10.el7.i686.rpm Development files for libpng 1.2
libpng12-devel-1.2.50-10.el7.x86_64.rpm Development files for libpng 1.2
libproxy-0.4.11-11.el7.i686.rpm A library handling all the details of proxy configuration
libproxy-0.4.11-11.el7.x86_64.rpm A library handling all the details of proxy configuration
libproxy-bin-0.4.11-11.el7.x86_64.rpm Binary to test libproxy
libproxy-devel-0.4.11-11.el7.i686.rpm Development files for libproxy
libproxy-devel-0.4.11-11.el7.x86_64.rpm Development files for libproxy
libproxy-gnome-0.4.11-11.el7.x86_64.rpm Plugin for libproxy and gnome
libproxy-kde-0.4.11-11.el7.x86_64.rpm Plugin for libproxy and kde
libproxy-mozjs-0.4.11-11.el7.x86_64.rpm Plugin for libproxy and mozjs
libproxy-networkmanager-0.4.11-11.el7.x86_64.rpm Plugin for libproxy and networkmanager
libproxy-python-0.4.11-11.el7.noarch.rpm Binding for libproxy and python
libproxy-webkitgtk3-0.4.11-11.el7.x86_64.rpm Plugin for libproxy and webkitgtk3
libpsm2-10.3.8-3.el7.x86_64.rpm Intel PSM Libraries
libpsm2-compat-10.3.8-3.el7.x86_64.rpm Support for MPIs linked with PSM1
Advertisement
Advertisement